# VecGetType

Gets the vector type name (as a string) from the Vec.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecGetType(Vec vec, VecType *type)

Not Collective

### Input Parameter

vec -The vector

### Output Parameter

type -The vector type name

### Keywords

vector, get, type, name

### See Also

VecSetType(), VecCreate()

Level:intermediate
Location: src/vec/vec/interface/vecreg.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1f.F.html